Last Comment Bug 1227734 - It's possible to accidentally scroll suggestions list down so that blank line appeared
: It's possible to accidentally scroll suggestions list down so that blank line...
Status: VERIFIED FIXED
[fxsearch]
: regression
Product: Firefox
Classification: Client Software
Component: Search (show other bugs)
: Trunk
: Unspecified Unspecified
P3 minor (vote)
: Firefox 52
Assigned To: Mark Banner (:standard8)
:
: Florian Quèze [:florian] [:flo]
Mentors:
: 1308524 (view as bug list)
Depends on: 1327603
Blocks: 1173715
  Show dependency treegraph
 
Reported: 2015-11-24 14:22 PST by arni2033
Modified: 2017-01-01 02:25 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
affected
verified

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
screenshot 1 - It's possible to accidentally scroll suggestions list down so that blank line appeared.png (19.35 KB, image/png)
2015-11-24 14:22 PST, arni2033
no flags Details
Bug 1227734 - Rework how the top/bottom borders are managed in the search bar popup to avoid a blank search result entry when scrolling. (58 bytes, text/x-review-board-request)
2016-10-27 10:05 PDT, Mark Banner (:standard8)
florian: review+
Details | Review

Description User image arni2033 2015-11-24 14:22:14 PST
Created attachment 8691589 [details]
screenshot 1 - It's possible to accidentally scroll suggestions list down so that blank line appeared.png

>>>   My Info:   Win7_64, Nightly 45, 32bit, ID 20151120030227
STR:
1.   Focus the searchbar, type "a"   [suggestions list will appear]
2.A) Press Tab key, then Up key
2.B) Move mouse to suggestions list, scroll mousewheel down several times

Result:       
 A blank unselectable line appears in the end of suggestions list.
 If I click it, browser opens a web page with search results for "a"

Expectations: 
 There should be no blank lines in suggestions popup

I'm guessing that it happens because <treechildren> has incorrect height now. It displays 10 suggestions, each tree row has height == 18px, so expected height of <treechildren> in popup is 180px. But it is 179px. Probably that makes it scrollable
Comment 2 User image Panos Astithas [:past] 2016-10-19 04:20:50 PDT
*** Bug 1308524 has been marked as a duplicate of this bug. ***
Comment 3 User image Mark Banner (:standard8) 2016-10-27 10:05:16 PDT Comment hidden (mozreview-request)
Comment 4 User image Mark Banner (:standard8) 2016-10-27 10:07:10 PDT
I think the revised changes to border management should work fine - definitely look ok on Mac, I've just requested try builds to confirm on Linux/Windows.
Comment 5 User image Mark Banner (:standard8) 2016-10-28 07:53:23 PDT Comment hidden (mozreview-request)
Comment 6 User image Mark Banner (:standard8) 2016-10-28 07:55:15 PDT
For some reason Windows/Linux were missing the border at the bottom of the current search engine. I'm experimenting with adding !important to those rules, I've pushed the patch to mozreview & requested another try build.
Comment 7 User image Mark Banner (:standard8) 2016-10-31 04:42:09 PDT
I've tested the try build changes and it all looks good to me now, though another pair of eyes on the edge cases would be good.
Comment 8 User image Florian Quèze [:florian] [:flo] 2016-11-02 06:18:04 PDT
Comment on attachment 8805195 [details]
Bug 1227734 - Rework how the top/bottom borders are managed in the search bar popup to avoid a blank search result entry when scrolling.

https://reviewboard.mozilla.org/r/88984/#review89634

Makes senses, thanks for figuring out a solution :-).

One case is not handled: websites offering open search plugins (eg https://bugzilla.mozilla.org/ ) when the suggestions tree is collapsed (eg after typing garbage in the search field so that the engine doesn't return any suggestion).
Comment 9 User image Mark Banner (:standard8) 2016-11-02 08:21:07 PDT Comment hidden (mozreview-request)
Comment 10 User image Mark Banner (:standard8) 2016-11-02 08:23:56 PDT
Comment on attachment 8805195 [details]
Bug 1227734 - Rework how the top/bottom borders are managed in the search bar popup to avoid a blank search result entry when scrolling.

https://reviewboard.mozilla.org/r/88984/#review89634

Thanks for catching that, I'd missed looking at the add engines section.
Comment 11 User image Florian Quèze [:florian] [:flo] 2016-11-02 08:45:40 PDT
Comment on attachment 8805195 [details]
Bug 1227734 - Rework how the top/bottom borders are managed in the search bar popup to avoid a blank search result entry when scrolling.

https://reviewboard.mozilla.org/r/88984/#review89706

Thanks! I tested only on Mac, but given comment 6 and comment 7 I'm confident you tested on the other 2 platforms.
Comment 12 User image Pulsebot 2016-11-02 10:45:42 PDT
Pushed by mbanner@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/8c941a146208
Rework how the top/bottom borders are managed in the search bar popup to avoid a blank search result entry when scrolling. r=florian
Comment 13 User image Wes Kocher (:KWierso) 2016-11-02 17:18:58 PDT
https://hg.mozilla.org/mozilla-central/rev/8c941a146208
Comment 14 User image Maruf Rahman[:mMARUF] 2016-11-18 22:19:13 PST
I have reproduced this bug with Nightly 45.0a1 on Windows 8, 64 Bit !

This bug's fix is verified with latest Developer Edition (Aurora)

Build ID   : 20161118004020
User Agent : Mozilla/5.0 (Windows NT 6.3; Win64; x64; rv:52.0) Gecko/20100101 Firefox/52.0
[bugday-20161116]
Comment 15 User image Md.Majedul isalm 2016-11-26 08:15:40 PST
I have reproduced this bug with Nightly 45.0a1 (2015-11-20) on Ubuntu 16.10, 64 Bit !

This bug's fix is verified with latest Developer Edition (Aurora)

Build ID   : 20161125004006
User Agent : Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0


[testday-20161125]

Note You need to log in before you can comment on or make changes to this bug.